Package org.eclipse.gef.dot.internal

## Class DotImport

- java.lang.Object
- - org.eclipse.gef.dot.internal.DotImport

    public class DotImport
    extends java.lang.Object

A parser that creates a `Graph` with `DotAttributes` from a Graphviz DOT string or file. The created `Graph` follows the structure of the DOT input very closely. Subgraphs (including clusters) are represented by a `Node` with a nested `Graph`, where the graph holds all attributes (like the name). If a node is used in multiple (sub-)graphs, it will be contained in the graph where it is defined (first occurrence).

### Constructor Summary

Constructors
`DotImport()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<org.eclipse.gef.graph.Graph>` `importDot​(java.io.File dotFile)`
`java.util.List<org.eclipse.gef.graph.Graph>` `importDot​(java.lang.String dotString)`
`java.util.List<org.eclipse.gef.graph.Graph>` `importDot​(org.eclipse.gef.dot.internal.language.dot.DotAst dotAst)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotImport

    public DotImport()

### Method Detail

#### importDot

    public java.util.List<org.eclipse.gef.graph.Graph> importDot​(java.io.File dotFile)

#### importDot

    public java.util.List<org.eclipse.gef.graph.Graph> importDot​(java.lang.String dotString)

#### importDot

    public java.util.List<org.eclipse.gef.graph.Graph> importDot​(org.eclipse.gef.dot.internal.language.dot.DotAst dotAst)